POSTsuix_getAllBalances

Sui Mainnethttps://sui-mainnet.nodit.io/

Return the total coin balance for all coin type, owned by the address owner. test

Request Body
idintegerrequired
jsonrpcstringrequired
methodstringrequired
paramsoneOf[]required
params[0]string

Hex string encoding.

Responses
idinteger
jsonrpcstring
coinObjectCountinteger (uint)required
coinTypestringrequired
lockedBalanceobjectrequired
totalBalancestringrequired
X-API-KEY
RequestCU30
cURL
curl -X POST "https://sui-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "suix_getAllBalances",
  "params": [
    "0x94f1a597b4e8f709a396f7f6b1482bdcd65a673d111e49286c527fab7c2d0961"
  ]
}'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "result": [
    {
      "coinType": "0x2::sui::SUI",
      "coinObjectCount": 15,
      "totalBalance": "3000000000",
      "lockedBalance": {}
    }
  ],
  "id": 1
}